#!/bin/sh
# Get Paths back
source /prefs/etc/udev/scripts/paths.sh

# Exec the daemon
NAME=usbBd
PIDPATH=/var/run/$NAME.pid
EXECPATH=/data/bin/$NAME

export LPDEST=Kodiak

case "$ACTION" in
	remove)
		start-stop-daemon -p $PIDPATH -v -K
		if [ $? -ne 0 ]; then
			echo "failed to stop $NAME: $?" > /dev/console
		fi
		rm -f $PIDPATH
		;;
	add)
		start-stop-daemon -x $EXECPATH -b -p $PIDPATH -m -v -S
		if [ $? -ne 0 ]; then
			echo "failed to start $NAME: $?" > /dev/console
		fi
		;;
	*)
		;;
esac
